#map {
    width: 100%;
    height: calc(100vh - 190px);
}
#map iframe {
    height: 100%;
    width: 100%;
}
.biip-module-future{
    display: grid;
    grid-template-columns: 33% auto;
}
.biip-module-future-events{
	font-family: var( --e-global-typography-text-font-family ), Sans-serif;
	color: var( --e-global-color-text );
    padding: 32px;
}
.biip-module-future-events .filters{
	margin-bottom: 24px;
	box-shadow:0 4px 20px rgba(18,26,85,0.1);
	padding:16px;
	border-radius:16px;
    background-color: #fff;
}
.biip-module-future-events .filters form{
	display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 8px;
}
@media(max-width:767px){
	.biip-module-future-events .filters form{
		grid-template-columns: 1fr;
	}
}

.biip-module-future-events input, 
.biip-module-future-events select,
.biip-module-future-events button{
	border:1.5px solid rgba(179,181,196,0.56);
	background-color:#fff;
	height:40px;
	border-radius:4px;
	width: 100%;
	padding: 0 12px;
	font-weight: 500;
	font-family: var( --e-global-typography-text-font-family ), Sans-serif;
	color: var( --e-global-color-text );
}
.biip-module-future-events input:focus,
.biip-module-future-events select:focus{
	outline: none;
	border: 1px solid #13C9E7;
	box-shadow: 0 0 0 4px rgba(19,201,231,0.2);
}
.biip-module-future-events button{
	background-color:#13C9E7;
	border: 0;
    color: #fff;
	font-weight: 600;
    letter-spacing: 0.03em;
	cursor:pointer;
}
.biip-module-future-events .pages{
	display: flex;
    align-items: center;
    justify-content: center;
	margin: 32px 0;
}
.biip-module-future-events .pages a{
	color: rgba(18,26,85,0.56);
	width: 32px;
    height: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
	margin: 0 8px;
}
.biip-module-future-events .pages a.active{
	color: #fff;
	background-color:#13C9E7;
	border-radius:4px;
}
@media(max-width:767px){
	#map.future-events {
		position: -webkit-sticky !important;
		position: sticky !important;
		top: 0 !important;
		min-height:280px;
		height: 280px;
	}
	#map.past-events{
		min-height:580px;
		height: 580px;
	} 
	.biip-module-future{
		grid-template-columns: 1fr;
	}
	.biip-module-future-events{
		order: 1;
	}
}
.event-cards{
    font-family: var( --e-global-typography-text-font-family ), Sans-serif;
}
.event-cards > div.active .event-card{
	border:1.5px solid #13C9E7;
	box-shadow: 0 0 0 4px rgba(19,201,231,0.2);
}
.event-card{
    border:1.5px solid #D4D5DD;
    border-radius:8px;
    box-shadow:0 8px 14px rgba(18,26,85,0.04);
	padding: 12px;
    margin-bottom: 8px;
    position: relative;
    display: grid;
    grid-template-columns: 64px 1fr;
	cursor:pointer;
}

.event-card .event-card-icon{
    width: 48px;
    height: 48px;
}
.event-card.state-a .event-card-icon{
    background-image: url(data:image/svg+xml;base64,PHN2ZyBpZD0iR3JvdXBfMjUyIiBkYXRhLW5hbWU9Ikdyb3VwIDI1MiIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIiB3aWR0aD0iNDgiIGhlaWdodD0iNDgiIHZpZXdCb3g9IjAgMCA0OCA0OCI+DQogIDxjaXJjbGUgaWQ9IkVsbGlwc2VfMTk0IiBkYXRhLW5hbWU9IkVsbGlwc2UgMTk0IiBjeD0iMjQiIGN5PSIyNCIgcj0iMjQiIGZpbGw9IiNkYmY5ZmYiLz4NCiAgPHBhdGggaWQ9IlBhdGhfNDQwIiBkYXRhLW5hbWU9IlBhdGggNDQwIiBkPSJNMzAuOCwyOS41MzRjLTUuNDg4LDAtMTEuNzEtMy4yMi0xNy4zNzEtNi4xODZDNi4wMjUsMTkuNDY5LDAsMTYuMjMzLDAsMjRhMjQsMjQsMCwwLDAsNDgsMEM0OCwxMC43NDUsNDQuMDU1LDI5LjUzNCwzMC44LDI5LjUzNFoiIGZpbGw9IiM4ZmQ3ZjciLz4NCiAgPHBhdGggaWQ9IlBhdGhfNDQxIiBkYXRhLW5hbWU9IlBhdGggNDQxIiBkPSJNMTcuMiwyOS41MzRjNS40ODgsMCwxMS43MS0zLjIyLDE3LjM3MS02LjE4NkM0MS45NzUsMTkuNDY5LDQ4LDE2LjIzMyw0OCwyNEEyNCwyNCwwLDAsMSwwLDI0QzAsMTAuNzQ1LDMuOTQ1LDI5LjUzNCwxNy4yLDI5LjUzNFoiIGZpbGw9IiMwMWIzZTYiIG9wYWNpdHk9IjAuMTkiLz4NCjwvc3ZnPg0K);
}
.event-card.state-b .event-card-icon{
    background-image: url(data:image/svg+xml;base64,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);
}
.event-card .event-card-header {
    display: grid;
    grid-template-columns: 1fr 0fr;
    align-items: center;
  }

.event-card .event-card-title{
    font-weight: 600;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}
.event-card .event-card-date{
    font-size: 14px;
    color:#4B5565;
}

.event-card .event-card-state{
    border-radius:4px;    
    font-size: 12px;
    padding: 0 4px;
}
.event-card.state-a .event-card-state{
    color:#13C9E7;
    background-color: #DBF9FF;
    border-color:#13C9E7;
}
.event-card.state-b .event-card-state{
    color:#B55007;
    background-color: #FEF3C6;
}

.event-card .event-card-fishes{
	display:flex;
	margin: 4px -4px 0 -4px;
}
.event-card .event-card-fishes > div{
	font-size:12px;
	border-radius:4px;
	color:#697586;
	background-color:#F8FAFC;
	border:1px solid #D4D5DD;
	padding: 0 8px;
	margin: 0 4px;
}
.fallback-text{
	color: var( --e-global-color-text );
    font-family: var( --e-global-typography-text-font-family ), Sans-serif;
	text-align: center;
	text-shadow: 0 0 0 var( --e-global-color-text );
}
.fallback-text:before{
	content:'';
    background-image: url(https://s3.biip.lt/zuvys-wp/app/uploads/empty.png);
    background-repeat: no-repeat;
    background-position: center center;
	background-size: contain;
    height: 200px;
    display: block;
}